import logging
from flask import Blueprint, jsonify
from flask_mysqldb import MySQL
from .auth import token_required  # Importando o token_required



empresas = Blueprint('empresas', __name__)  # Criando o Blueprint
mysql = MySQL()  # Criando a instância do MySQL

@empresas.route('/empresas', methods=['GET'])
@token_required
def listar_empresas(data):  
    try:
        cur = mysql.connection.cursor()
        cur.execute("SELECT idempresa, nome, dominio FROM empresa")
        resultados = cur.fetchall()

        
        empresas_list = [{"idempresa": row['idempresa'], "nome": row['nome'], "dominio": row['dominio']} for row in resultados]

        return jsonify(empresas_list), 200
    except Exception:
        return jsonify({"erro": "Erro interno no servidor"}), 500

